# SPDX-FileCopyrightText: 2020 Melissa LeBlanc-Williams, written for Adafruit Industries
# SPDX-License-Identifier: MIT
#!/usr/bin/python3
"""
Be sure to check the learn guides for more usage information.
 
This example is for use on (Linux) computers that are using CPython with
Adafruit Blinka to support CircuitPython libraries. CircuitPython does
not support PIL/pillow (python imaging library)!
 
Author(s): Melissa LeBlanc-Williams for Adafruit Industries
"""
import board
import neopixel
from PIL import Image
from adafruit_pixel_framebuf import PixelFramebuffer
 
pixel_pin = board.D18
pixel_width = 8
pixel_height = 16
 
pixels = neopixel.NeoPixel(
    pixel_pin, pixel_width * pixel_height, brightness=0.1, auto_write=False,
)
pixel_framebuf = PixelFramebuffer(pixels, pixel_width, pixel_height, reverse_x=True,alternating=True)
pixel_framebuf.fill(0x000000)
pixel_framebuf.display()
pixel_framebuf.text("H", 0, 0, 0x00FF00)
pixel_framebuf.display()
pixel_framebuf.text("i", 0, 8, 0x00FF00)
pixel_framebuf.display()





